Package net.sourceforge.jiu.apps

# Class PNMSwitch

java.lang.Object
net.sourceforge.jiu.apps.Switch
net.sourceforge.jiu.apps.PNMSwitch

class PNMSwitch extends Switch

## Constructor Summary

Constructors
Constructor
Description
`PNMSwitch()`

## Method Summary

Modifier and Type
Method
Description
`(package private) String`
`getDescription()`
`(package private) String[]`
`getValues()`
`(package private) int`
`init(String[] args, int index, JiuConvertSettings settings)`

### Methods inherited from class net.sourceforge.jiu.apps.Switch

`check, getMinParameters, getParameters, setDefaults`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PNMSwitch

PNMSwitch()

## Method Details

### getValues

String[] getValues()

Specified by:
  `getValues` in class `Switch`

### getDescription

String getDescription()

Specified by:
  `getDescription` in class `Switch`

### init

int init(String[] args, int index, JiuConvertSettings settings)

Specified by:
  `init` in class `Switch`